// Copyright 2017 Ingo Steinwart
//
// This file is part of liquidCluster.
//
// liquidCluster is free software: you can redistribute it and/or modify
// it under the terms of the GNU Affero General Public License as 
// published by the Free Software Foundation, either version 3 of the 
// License, or (at your option) any later version.
//
// liquidCluster is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU Affero General Public License for more details.

// You should have received a copy of the GNU Affero General Public License
// along with liquidCluster. If not, see <http://www.gnu.org/licenses/>.


#if !defined (COMMAND_OPTIONS_CLUSTER_CLASS_H) 
	#define COMMAND_OPTIONS_CLUSTER_CLASS_H


	
#include "sources/shared/command_line/command_line_parser.h"


#include "sources/cluster/solver/cluster_control.h"

 
 
//**********************************************************************************************************************************



unsigned const ERROR_clp_clu_D = 120;
unsigned const ERROR_clp_clu_e = 121;
unsigned const ERROR_clp_clu_E = 122;
unsigned const ERROR_clp_clu_H = 123;
unsigned const ERROR_clp_clu_P = 124;
unsigned const ERROR_clp_clu_s = 125;
unsigned const ERROR_clp_clu_t = 126;





//**********************************************************************************************************************************

 
class Tcommand_line_parser_cluster: public Tcommand_line_parser
{	
	public:
		Tcommand_line_parser_cluster();
		void parse();

		
		Tcluster_control cluster_control;
		
		Tsample_file_format train_file_format;
		Tsample_file_format result_file_format;
		Tsample_file_format test_file_format;
		Tsample_file_format test_result_file_format;
		
	protected:
		void exit_with_help();
		void display_help(unsigned error_code);
		
		
	private:
		bool set_tau;
};

//**********************************************************************************************************************************


#ifndef COMPILE_SEPERATELY__
	#include "sources/cluster/command_line/command_line_cluster.cpp"
#endif








#endif
