// Copyright 2017 Ingo Steinwart
//
// This file is part of liquidCluster.
//
// liquidCluster is free software: you can redistribute it and/or modify
// it under the terms of the GNU Affero General Public License as 
// published by the Free Software Foundation, either version 3 of the 
// License, or (at your option) any later version.
//
// liquidCluster is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU Affero General Public License for more details.

// You should have received a copy of the GNU Affero General Public License
// along with liquidCluster. If not, see <http://www.gnu.org/licenses/>.


#if !defined (CLUSTER_COMPARE_H) 
 #define CLUSTER_COMPARE_H


 
 
#include "sources/cluster/solver/cluster_tree.h"



//**********************************************************************************************************************************

enum CLUSTER_COMPARE_MODES {EXCESS_MASS, GREEDY_CLUSTER, GREEDY_PEAKS, CLUSTER_COMPARE_MODES_MAX};

//**********************************************************************************************************************************



struct Tcluster_compare
{
	Tcluster_compare();
	
	void clear();
	void display(unsigned info_level);
	
	bool operator > (const Tcluster_compare& cluster_compare) const;
	bool rho_stars_within_tolerance(const Tcluster_compare& cluster_compare) const;
	
	
	double rho_star;
	double rho_step;
	double excess_mass;
	double density_integral;
	double constant_integral;
	double rho_tolerance_factor;
	unsigned number_of_clusters;
	unsigned number_of_peaks;
	unsigned core_samples;
	unsigned all_samples;
	
	unsigned working_set_size;
	unsigned dataset_size;
	double delta;
	
	Tcluster_tree_node* merge;
	
	unsigned cluster_compare_method;
	
	private:
		string displaystring_detailed() const;	
};



//**********************************************************************************************************************************


#ifndef COMPILE_SEPERATELY__
	#include "sources/cluster/solver/cluster_compare.cpp" 
#endif

#endif
