// Copyright 2017 Ingo Steinwart
//
// This file is part of liquidCluster.
//
// liquidCluster is free software: you can redistribute it and/or modify
// it under the terms of the GNU Affero General Public License as 
// published by the Free Software Foundation, either version 3 of the 
// License, or (at your option) any later version.
//
// liquidCluster is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU Affero General Public License for more details.

// You should have received a copy of the GNU Affero General Public License
// along with liquidCluster. If not, see <http://www.gnu.org/licenses/>.


#if !defined (DENSITY_INFO_H) 
	#define DENSITY_INFO_H



	
#include "sources/shared/training_validation/train_val_info.h"
	
//**********************************************************************************************************************************

class Tdensity_info
{
	public:
		Tdensity_info();
		Tdensity_info(const Tdensity_info& cluster_info);
		
		void clear();
		void clear_time();
		void copy_hyper_parameters(const Tdensity_info& cluster_info);
		void display(unsigned display_mode, unsigned info_level) const;
		virtual double get_full_time() const;
		
		Tdensity_info operator + (const Tdensity_info& cluster_info);
		Tdensity_info operator = (const Tdensity_info& cluster_info);


		double width;

		unsigned working_set_size;
		unsigned dataset_size;
		
		double data_preparation_time;
		double data_load_time;
		double tau_neighbor_build_time;
		double tau_neighbor_sort_time;
		double histogram_build_time;
		double density_compute_time;
		
		double build_time;
		double train_time;
		double val_time;
		double test_time;
	
	protected:
		void copy(const Tdensity_info& cluster_info);
		
		virtual string displaystring_detailed(unsigned display_mode) const;
		virtual string displaystring_train_time(unsigned display_mode) const;
};


//**********************************************************************************************************************************


Tdensity_info max(const Tdensity_info& cluster_info_1, const Tdensity_info& cluster_info_2);


//**********************************************************************************************************************************


#ifndef COMPILE_SEPERATELY__
	#include "sources/cluster/training_validation/density_info.cpp"
#endif


#endif
