source("filename_scripts.r")
source("art_data.r")



# -------------------------------------------------------------------------------------------------------------------------


create_gauss_data <- function(size, mean, sigma, fraction, type = "dens")
{
  if (type == "dens")
  {
    data = create_grid_data(size)
    dens = dmvnorm(data[ ,2:3], mean = mean, sigma = sigma)
    dens = fraction * normalize_dens(dens)
    
    data[ ,1] = dens
    return (data)
  }
  
  if (type == "sample")
  {
      data = rmvnorm(ceiling(fraction * size), mean = mean, sigma = sigma)
      data = restrict_data(data, ceiling(fraction * size), 1, 2)
      while (nrow(data) < fraction * size)
      {
        data_tmp = rmvnorm(ceiling(fraction * size), mean = mean, sigma = sigma)
    
        data = rbind(data, data_tmp)
        data = restrict_data(data, ceiling(fraction * size), 1, 2)
      }
    return (data)
  }
}

# -------------------------------------------------------------------------------------------------------------------------


combine_data <- function(data1, data2, type = "dens")
{
  if (type == "dens")
  {
    data = data1
    data[ ,1] = data[ ,1] + data2[ ,1]
  }
  
  if (type == "sample")
  {
    data = rbind(data1, data2)
  }
  
  return (data)
}


