DATA_FOLDER="../../../tmp-data"
DATA_FOLDER_DONE="../../../tmp"
RESULT_FOLDER_DONE="../../../tmp"
EXT='.csv'


if  ! [[ -d $DATA_FOLDER_DONE ]]
then
    mkdir $DATA_FOLDER_DONE
fi

if  ! [[ -d $RESULT_FOLDER_DONE ]]
then
    mkdir $RESULT_FOLDER_DONE
fi
 

 
NAP_TIME_START=$1
NAP_TIME_STOP=$2

HE_ZERO_BN="-w He -b zero -bn 1"
HE_ZERO="-w He -b zero -bn 0"
SPHERE_HULL_M5="-w sphere -b hull -5 -bn 0"
SPHERE_HULL_P5="-w sphere -b hull +5 -bn 0"
BALL_HULL_M5="-w ball -b hull -5 -bn 0"
SNN_ZERO="-w SNN -b zero -bn 0 -af SeLU"
SNN_BALL_HULL_M5="-w ball -b hull -5 -bn 0 -af SeLU"

NUMBER_OF_RUNS=50
PATIENCE=25
 
 
DATA_FILES_TO_WORK_WITH=`ls $DATA_FOLDER` 

echo 
echo Data folder is $DATA_FOLDER

until [[ -z $DATA_FILES_TO_WORK_WITH ]]
do
    for DATA_SET in $DATA_FILES_TO_WORK_WITH
    do
        NAME=`basename $DATA_SET $EXT`
        DATA_SET_SIZE=$(wc -l < "$DATA_FOLDER"/"$DATA_SET")
        
        if [ "$DATA_SET_SIZE" -ge "15000" ] 
        then
            SPHERE_HULL_P5=
            BALL_HULL_M5=
        else
            SPHERE_HULL_P5="-w sphere -b hull +5 -bn 0"
            BALL_HULL_M5="-w ball -b hull -5 -bn 0"
        fi
        echo "Running "$NUMBER_OF_RUNS" times the full training program of Tensorflow-DNNs on "$NAME" with "$DATA_SET_SIZE" samples."
        
        for ((i=1; i<=$NUMBER_OF_RUNS; i++))
        do
            CURRENT_NAME=$NAME.$i$EXT
            CURRENT_NAME_FULL=$DATA_FOLDER"/"$CURRENT_NAME
            
            cp $DATA_FOLDER/$DATA_SET $CURRENT_NAME_FULL
            ../../bin/create-tt -f 0.8 -r $i $CURRENT_NAME_FULL
            
            for ARCH in "256 128" "512 256" "1024 512" "512 256 128" "1024 512 256" "2048 1024 512" "512 256 128 64" "1024 512 256 128" "2048 1024 512 256" "512 512 256 256 128 128 64 64" "1024 1024 512 512 256 256 128 128" "2048 2048 1024 1024 512 512 256 256"
            do 
                for INIT in "$HE_ZERO_BN" "$HE_ZERO" "$SPHERE_HULL_M5" "$SPHERE_HULL_P5" "$BALL_HULL_M5" "$SNN_ZERO" "$SNN_BALL_HULL_M5"
                do
                    if ! [[ -z "$INIT" ]]
                    then
                        LOG_FILE_MISSING=1
                        while [ "$LOG_FILE_MISSING" -eq "1" ]
                        do
                            ./respect_work_hours.sh $NAP_TIME_START $NAP_TIME_STOP
                            ./tf-dnn.py -d 1 $DATA_FOLDER"/"$NAME.$i -a $ARCH $INIT -ri 0 -r $i -P $PATIENCE
                        LOG_FILE_MISSING=$?
                        done
                    fi
                done
            done

            rm -f $DATA_FOLDER"/"$NAME.$i.*
            
        done

        mv $DATA_FOLDER/$DATA_SET $DATA_FOLDER_DONE"/"$NAME$EXT
        mkdir $RESULT_FOLDER_DONE"/"$NAME
        mv ../../results/* $RESULT_FOLDER_DONE"/"$NAME
    done
  
    DATA_FILES_TO_WORK_WITH=`ls $DATA_FOLDER` 
done
