


root_folder = "../../"
bin_folder = paste(root_folder, "bin/", sep="")
data_folder = paste(root_folder, "data/", sep="")
scripts_folder = paste(root_folder, "scripts/", sep="")
results_folder = paste(root_folder, "results/", sep="")
images_folder = paste(root_folder, "images/", sep="")

# -------------------------------------------------------------------------------------------------------------------------
# -------------------------------------------------------------------------------------------------------------------------
# -------------------------------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------------------------------


clean_results <- function(name)
{
	system(paste("rm -f ", get_control_filename(get_xd_name(name, 2), "*"), sep=""))
	system(paste("rm -f ", get_control_filename(get_bg_name(name), "*"), sep=""))
}

# -------------------------------------------------------------------------------------------------------------------------


clean_images <- function()
{
	system(paste("rm -f ", images_folder, "*.jpg", sep=""))
}

# -------------------------------------------------------------------------------------------------------------------------


get_control_filename <- function(name, ctrl)
{
	filename = paste(results_folder, name, sep="")
	filename = paste(filename, ctrl, sep=".")

	return (filename);
}


# -------------------------------------------------------------------------------------------------------------------------


get_full_2d_filename <- function(name, train_test)
{
	out_filename = paste(data_folder, name, sep="")
	out_filename = get_xd_name(out_filename, 2)
	out_filename = add_suffix(out_filename, train_test)

	return (out_filename)
}

# -------------------------------------------------------------------------------------------------------------------------


get_full_bg_filename <- function(name, train_test)
{
	out_filename = paste(data_folder, name, sep="")
	out_filename = get_bg_name(out_filename)
	out_filename = add_suffix(out_filename, train_test)

	return (out_filename)
}


# -------------------------------------------------------------------------------------------------------------------------


get_full_1d_filename <- function(name, train_test)
{
	out_filename = paste(data_folder, name, sep="")
	out_filename = get_xd_name(out_filename, 1)
	out_filename = add_suffix(out_filename, train_test)

	return (out_filename)
}



# -------------------------------------------------------------------------------------------------------------------------



get_data_filename <- function(name, train_test)
{
	filename = paste(data_folder, name, sep="")
	filename = add_suffix(filename, train_test)

	return(filename)
}


# -------------------------------------------------------------------------------------------------------------------------


get_result_filename <- function(name)
{
	filename = get_control_filename(name, "result.csv")

	return (filename);
}

# -------------------------------------------------------------------------------------------------------------------------

get_image_filename <- function(name, train_test, bg_include=FALSE, ml_method="")
{
	image_name = paste(images_folder, name, sep="")
	if (ml_method != "")
		image_name = paste(image_name, ml_method, sep=".")
	if (bg_include != FALSE)
		image_name = paste(image_name, "bg", sep=".")

	image_name = paste(image_name, train_test, "jpg", sep=".")

	return (image_name)
}



# -------------------------------------------------------------------------------------------------------------------------


add_suffix <- function(name, train_test)
{
	name = paste(name, train_test, sep=".")
	name = paste(name, "csv", sep=".")

	return (name)
}

# -------------------------------------------------------------------------------------------------------------------------



get_xd_name <-function(name, dim)
{
	out_filename = paste(paste(name, dim, sep="."), "d", sep="")

	return (out_filename)
}

# -------------------------------------------------------------------------------------------------------------------------



get_bg_name <-function(name)
{
	out_filename = paste(name, "2d_bg", sep=".")

	return (out_filename)
}


# -------------------------------------------------------------------------------------------------------------------------


clean_name <- function(name)
{
	name = gsub("[.]", "_", name)
	name = gsub("__/", "../", name)
	name = gsub("_/", "./", name)
	name = gsub("_csv", ".csv", name)
	name = gsub("_jpg", ".jpg", name)
	return (name)
}
