#!/bin/bash 


if ! [[ -z "$1" ]] && ! [[ -z "$2" ]]
then
    NAP_TIME_START=$1
    NAP_TIME_STOP=$2

    DAY_OF_WEEK=$(date +%u)


    if [ "$DAY_OF_WEEK" -ge "1" ] && [ $DAY_OF_WEEK -le "5" ] && ! [[ -f work_lock ]]
    then 
        NAP_STOP_HOUR="${NAP_TIME_STOP:0:2}"
        NAP_STOP_MIN="${NAP_TIME_STOP:2:4}"
        WAKE_UP_TIME=$NAP_STOP_HOUR":"$NAP_STOP_MIN
        
        CURRENT_TIME=$(date "+%H%M")
        if [ "$CURRENT_TIME" -ge "$NAP_TIME_START" ] && [ $CURRENT_TIME -lt "$NAP_TIME_STOP" ] 
        then
            echo
            echo I am going to sleep until $WAKE_UP_TIME
            while [ $CURRENT_TIME -lt "$NAP_TIME_STOP" ] && ! [[ -f work_lock ]]
            do
                sleep 20s
                CURRENT_TIME=$(date "+%H%M")
            done
            echo I got up at $(date "+%H:%M:%S")
            echo
        fi
    fi
fi
