// Copyright 2017 Ingo Steinwart
//
// This file is part of liquidCluster.
//
// liquidCluster is free software: you can redistribute it and/or modify
// it under the terms of the GNU Affero General Public License as 
// published by the Free Software Foundation, either version 3 of the 
// License, or (at your option) any later version.
//
// liquidCluster is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU Affero General Public License for more details.

// You should have received a copy of the GNU Affero General Public License
// along with liquidCluster. If not, see <http://www.gnu.org/licenses/>.


#if !defined (FOLD_CONTROL_CPP)
	#define FOLD_CONTROL_CPP


#include "sources/shared/training_validation/fold_control.h"



#include "sources/shared/basic_functions/basic_file_functions.h"



const string aux_identifier_fold_con = "fold control";


//**********************************************************************************************************************************


Tfold_control::Tfold_control()
{
	number = 5;
	kind = RANDOM;
	train_fraction = 1.0;
	negative_fraction = FRACTION_NOT_ASSIGNED;
	random_seed = -1;
}

//**********************************************************************************************************************************


void Tfold_control::read_from_file(FILE *fp)
{
	file_read_aux_identifier(fp, aux_identifier_fold_con);
		
	file_read_entry(fp, number, "number");
	file_read_entry(fp, kind, "kind");
	file_read_entry(fp, train_fraction, "train fraction");
	file_read_entry(fp, negative_fraction, "negative fraction");
	file_read_entry(fp, random_seed, "random seed");
};

//**********************************************************************************************************************************

void Tfold_control::write_to_file(FILE *fp) const
{
	file_write_aux_identifier(fp, aux_identifier_fold_con);
	
	file_write_entry(fp, number, "number");
	file_write_entry(fp, kind, "kind");
	file_write_entry(fp, train_fraction, "train fraction");
	file_write_entry(fp, negative_fraction, "negative fraction");
	file_write_entry(fp, random_seed, "random seed");
	file_write_eol(fp);
};

#endif






